Subject: bug#57245: 29.0.50; M-> in a large XML file (without long lines) is slow

From: Eli Zaretskii <[email-masked]>
Date: Wed, 17 Aug 2022 15:16:08 +0300

> Date: Wed, 17 Aug 2022 14:46:46 +0300
> Cc: [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> 
> On 17.08.2022 14:36, Eli Zaretskii wrote:
> >> Date: Wed, 17 Aug 2022 01:20:38 +0300
> >> Cc: Eli Zaretskii <[email-masked]>, [email-masked]
> >> From: Dmitry Gutov <[email-masked]>
> >>
> >> Otherwise, syntax-wholeline-max seems to be doing its job fine: if I
> >> comment out the narrowing code in handle_fontified_prop (or switch to
> >> the branch I posted previously), two XML files -- one with long lines
> >> and one without (the files differ only by addition of newlines) -- show
> >> approximately the same delay on M->.
> > 
> > Doesn't syntax-wholeline-max only affect long lines?
> 
> Its purpose is to handle the slowdown which occurred specifically on 
> long lines because of 
> font-lock-extend-region-functions/syntax-propertize-extend-region-functions. 
> Now that it works -- I don't see any particular slowdowns on long lines, 
> even with narrowing disabled.
> 
> And the performance of M-> depends solely on the size of a file. In my 
> XML test files, at least.

Is that a yes?  Because if it is, then what does this have to do with
the issue of nXML not being scalable enough?